using System;
using System.Collections.Generic;
using System.IO;
using UnityEngine;
using UnityEngine.Events;

namespace stalk
{
    public class stalk
    {
        public static void Main()
        {

        CategoryBuilder.Create("SCP-610 Chronicles", "[ The flesh that hates... ]", ModAPI.LoadSprite("category.png"));


        ModAPI.Register(
            new Modification()
            {
                OriginalItem = ModAPI.FindSpawnable("Rod"),
                NameOverride = "\n<color=blue>KeyCard Lvl-5",
                DescriptionOverride = "",
                CategoryOverride = ModAPI.FindCategory("SCP-610 Chronicles"),
                ThumbnailOverride = ModAPI.LoadSprite("card5-thumb.jpg", 1f),
                AfterSpawn = (Instance) =>
                {
                    Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("card5-skin.png", 1f);

                    Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.03f;
                    Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.03f;
                    Instance.FixColliders();
                    }
               }
          );
          ModAPI.Register(
            new Modification()
            {
                OriginalItem = ModAPI.FindSpawnable("Rod"),
                NameOverride = "\n<color=blue>KeyCard Lvl-4",
                DescriptionOverride = "",
                CategoryOverride = ModAPI.FindCategory("SCP-610 Chronicles"),
                ThumbnailOverride = ModAPI.LoadSprite("card4-thumb.jpg", 1f),
                AfterSpawn = (Instance) =>
                {
                    Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("card4-skin.png", 1f);

                    Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.03f;
                    Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.03f;
                    Instance.FixColliders();
                    }
               }
          );
          ModAPI.Register(
            new Modification()
            {
                OriginalItem = ModAPI.FindSpawnable("Rod"),
                NameOverride = "\n<color=blue>KeyCard Lvl-3",
                DescriptionOverride = "",
                CategoryOverride = ModAPI.FindCategory("SCP-610 Chronicles"),
                ThumbnailOverride = ModAPI.LoadSprite("card3-thumb.jpg", 1f),
                AfterSpawn = (Instance) =>
                {
                    Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("card3-skin.png", 1f);

                    Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.03f;
                    Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.03f;
                    Instance.FixColliders();
                    }
               }
          );
          ModAPI.Register(
            new Modification()
            {
                OriginalItem = ModAPI.FindSpawnable("Rod"),
                NameOverride = "\n<color=blue>KeyCard Lvl-2",
                DescriptionOverride = "",
                CategoryOverride = ModAPI.FindCategory("SCP-610 Chronicles"),
                ThumbnailOverride = ModAPI.LoadSprite("card2-thumb.jpg", 1f),
                AfterSpawn = (Instance) =>
                {
                    Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("card2-skin.png", 1f);

                    Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.03f;
                    Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.03f;
                    Instance.FixColliders();
                    }
               }
          );
          ModAPI.Register(
            new Modification()
            {
                OriginalItem = ModAPI.FindSpawnable("Rod"),
                NameOverride = "\n<color=blue>KeyCard Lvl-1",
                DescriptionOverride = "",
                CategoryOverride = ModAPI.FindCategory("SCP-610 Chronicles"),
                ThumbnailOverride = ModAPI.LoadSprite("card1-thumb.jpg", 1f),
                AfterSpawn = (Instance) =>
                {
                    Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("card1-skin.png", 1f);

                    Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.03f;
                    Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.03f;
                    Instance.FixColliders();
                    }
               }
          );
          ModAPI.Register(
      new Modification()
      {
          OriginalItem = ModAPI.FindSpawnable("Human"),
          NameOverride = "\n<color=red>Infected Security Guard Personnel",
          DescriptionOverride = "",
          CategoryOverride = ModAPI.FindCategory("SCP-610 Chronicles"),
          ThumbnailOverride = ModAPI.LoadSprite("guard-infected-thumb.jpg"),
          AfterSpawn = (Instance) =>
          {
            var childObjectF = new GameObject("tent");
                  childObjectF.transform.SetParent(Instance.transform.Find("Head"));
                  childObjectF.transform.position = Instance.transform.position;
                  childObjectF.transform.localPosition = new Vector3(0.085f, 0.04f);
                  childObjectF.transform.localScale = new Vector3(1f, 1f);

            var childSpriteF = childObjectF.AddComponent < SpriteRenderer > ();
                        childSpriteF.sprite = ModAPI.LoadSprite("gasmask2-infected-skin.png");
                        childSpriteF.sortingLayerName = "Top";
              var skin = ModAPI.LoadTexture("guard-infected-skin.png");




              var person = Instance.GetComponent<PersonBehaviour>();


              person.SetBodyTextures(skin, null, null, 1);


              person.SetBruiseColor(100, 100, 100);
              person.SetSecondBruiseColor(154, 0, 7);
              person.SetThirdBruiseColor(207, 206, 120);
              person.SetRottenColour(202, 199, 104);
              person.SetBloodColour(108, 0, 4);
          }
      }
    );
    ModAPI.Register(
        new Modification()
        {
            OriginalItem = ModAPI.FindSpawnable("Metal Cube"),
            NameOverride = "\n<color=red>Flesh Cocoon",
            NameToOrderByOverride = "AAAABA0000000001 -TM",
            DescriptionOverride = "",
            CategoryOverride = ModAPI.FindCategory("SCP-610 Chronicles"),
            ThumbnailOverride = ModAPI.LoadSprite("trap-thumb.jpg", 1f),
            AfterSpawn = (Instance) =>
            {
                Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("trap-skin.png", 1f);

                var behaviour = Instance.GetOrAddComponent<PhysicalBehaviour>();

                behaviour.Properties = ModAPI.FindPhysicalProperties("Metal");
                behaviour.TrueInitialMass = 50f;
                behaviour.InitialMass = 50f;
                behaviour.rigidbody.mass = 50f;
                Instance.FixColliders();
                AudioSource audioSource;
                AudioClip sound;
                sound = ModAPI.LoadSound("trap.mp3");
                audioSource = Instance.AddComponent<AudioSource>();
                audioSource.minDistance = 20;
                audioSource.maxDistance = 100;
                audioSource.clip = sound;
                audioSource.Play();

                AudioSource twoja_stara = Instance.AddComponent<AudioSource>();
                twoja_stara.minDistance = 1;
                twoja_stara.maxDistance = 3;

                int index = 0;
                AudioClip[] AudioData = new AudioClip[]
                {
                    ModAPI.LoadSound("trap1.mp3"),
                    ModAPI.LoadSound("trap2.mp3"),
                    ModAPI.LoadSound("trap3.mp3"),
                };

                Instance.AddComponent<UseEventTrigger>().Action = () =>
                {
                    twoja_stara.clip = AudioData[index];
                    twoja_stara.Play();

                    index++;
                    if (index == AudioData.Length) index = 0;

    Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
    Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
    Instance.FixColliders();
  };
            }
        }
    );
                ModAPI.Register(
      new Modification()
      {
          OriginalItem = ModAPI.FindSpawnable("Human"),
          NameOverride = "\n<color=blue>Security Guard Personnel",
          DescriptionOverride = "",
          CategoryOverride = ModAPI.FindCategory("SCP-610 Chronicles"),
          ThumbnailOverride = ModAPI.LoadSprite("guard-thumb.jpg"),
          AfterSpawn = (Instance) =>
          {
            var childObjectF = new GameObject("tent");
                  childObjectF.transform.SetParent(Instance.transform.Find("Head"));
                  childObjectF.transform.position = Instance.transform.position;
                  childObjectF.transform.localPosition = new Vector3(0.085f, 0.04f);
                  childObjectF.transform.localScale = new Vector3(1f, 1f);

            var childSpriteF = childObjectF.AddComponent < SpriteRenderer > ();
                        childSpriteF.sprite = ModAPI.LoadSprite("gasmask2-skin.png");
                        childSpriteF.sortingLayerName = "Top";
              var skin = ModAPI.LoadTexture("guard-skin.png");




              var person = Instance.GetComponent<PersonBehaviour>();


              person.SetBodyTextures(skin, null, null, 1);


              person.SetBruiseColor(100, 100, 100);
              person.SetSecondBruiseColor(154, 0, 7);
              person.SetThirdBruiseColor(207, 206, 120);
              person.SetRottenColour(202, 199, 104);
              person.SetBloodColour(108, 0, 4);
          }
      }
    );
    ModAPI.Register(
        new Modification()
        {
            OriginalItem = ModAPI.FindSpawnable("Rod"),
            NameOverride = "\n<color=blue>Ballistic Helmet",
            DescriptionOverride = "",
            CategoryOverride = ModAPI.FindCategory("SCP-610 Chronicles"),
            ThumbnailOverride = ModAPI.LoadSprite("helmet-thumb.jpg", 1f),
            AfterSpawn = (Instance) =>
            {
                Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("helmet-skin.png", 1f);
                ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                armor.stabResistance = 10f;
                armor.armorPiece = "Head";
                armor.armorTier = 1;

                Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.03f;
                Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.03f;
                Instance.FixColliders();
                }
           }
      );
      ModAPI.Register(
            new Modification()
            {
                OriginalItem = ModAPI.FindSpawnable("Flask"),
                NameOverride = "\n<color=blue>Specimen Bag Of SCP-610",
                DescriptionOverride = "",
                CategoryOverride = ModAPI.FindCategory("SCP-610 Chronicles"),
                ThumbnailOverride = ModAPI.LoadSprite("bag-thumb.jpg", 4f),
                AfterSpawn = (Instance) =>
                {
                    Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("bag-skin.png");
                    Instance.FixColliders();
                }
            }
        );
        ModAPI.Register(
            new Modification()
            {
                OriginalItem = ModAPI.FindSpawnable("Flamethrower"),
                NameOverride = "\n<color=blue>Flamethrower",
                DescriptionOverride = "",
                CategoryOverride = ModAPI.FindCategory("SCP-610 Chronicles"),
                ThumbnailOverride = ModAPI.LoadSprite("fire-thumb.jpg", 4f),
                AfterSpawn = (Instance) =>
                {
                    Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("fire-skin.png");
                    Instance.FixColliders();
                 var firearm = Instance.GetComponent<FirearmBehaviour>();
                    firearm.InitialInaccuracy = 0f;
                    firearm.BulletsPerShot = 1;
                    firearm.ShotSounds = new AudioClip[]
                    {
                        ModAPI.LoadSound("")

                    };
                }
            }
        );
        ModAPI.Register(
            new Modification()
            {
                OriginalItem = ModAPI.FindSpawnable("Sword"),
                NameOverride = "\n<color=red>Scythe",
                DescriptionOverride = "",
                CategoryOverride = ModAPI.FindCategory("SCP-610 Chronicles"),
                ThumbnailOverride = ModAPI.LoadSprite("sickle-thumb.jpg", 4f),
                AfterSpawn = (Instance) =>
                {
                    Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("sickle-skin.png");
                    Instance.FixColliders();
                }
            }
        );
        ModAPI.Register(
      new Modification()
      {
          OriginalItem = ModAPI.FindSpawnable("Human"),
          NameOverride = "\n<color=red>Infected Science Personnel (Hazmat Suit)",
          DescriptionOverride = "",
          CategoryOverride = ModAPI.FindCategory("SCP-610 Chronicles"),
          ThumbnailOverride = ModAPI.LoadSprite("hazmat-infected-thumb.jpg"),
          AfterSpawn = (Instance) =>
          {
            var backpack = new GameObject("Backpack");
            backpack.transform.SetParent(Instance.transform.Find("Body").Find("UpperBody"));
            backpack.transform.localPosition = new Vector3(0.01f, 0f);
            backpack.transform.localScale = new Vector3(1f, 1f);
            var backpackSprite = backpack.AddComponent<SpriteRenderer>();
            backpackSprite.sprite = ModAPI.LoadSprite("tank-infected-skin.png");
            backpack.GetComponent<SpriteRenderer>().sortingLayerName = "Mid";
              var skin = ModAPI.LoadTexture("hazmat-infected-skin.png");




              var person = Instance.GetComponent<PersonBehaviour>();


              person.SetBodyTextures(skin, null, null, 1);


              person.SetBruiseColor(100, 100, 100);
              person.SetSecondBruiseColor(154, 0, 7);
              person.SetThirdBruiseColor(207, 206, 120);
              person.SetRottenColour(202, 199, 104);
              person.SetBloodColour(108, 0, 4);
               }
          }
     );
             ModAPI.Register(
          new Modification()
          {
              OriginalItem = ModAPI.FindSpawnable("Human"),
              NameOverride = "\n<color=red>Infected Science Personnel",
              DescriptionOverride = "",
              CategoryOverride = ModAPI.FindCategory("SCP-610 Chronicles"),
              ThumbnailOverride = ModAPI.LoadSprite("infected-science-thumb.jpg"),
              AfterSpawn = (Instance) =>
              {

                  var skin = ModAPI.LoadTexture("infected-science-skin.png");




                  var person = Instance.GetComponent<PersonBehaviour>();


                  person.SetBodyTextures(skin, null, null, 1);


                  person.SetBruiseColor(100, 100, 100);
                  person.SetSecondBruiseColor(154, 0, 7);
                  person.SetThirdBruiseColor(207, 206, 120);
                  person.SetRottenColour(202, 199, 104);
                  person.SetBloodColour(108, 0, 4);
                     }
                 }
             );
             ModAPI.Register(
             new Modification()
             {
                 OriginalItem = ModAPI.FindSpawnable("Metal Cube"),
                 NameOverride = "\n<color=red>Pillar Of Flesh",
                 NameToOrderByOverride = "AAAABA0000000001 -TM",
                 DescriptionOverride = "",
                 CategoryOverride = ModAPI.FindCategory("SCP-610 Chronicles"),
                 ThumbnailOverride = ModAPI.LoadSprite("pillar-thumb.jpg", 1f),
                 AfterSpawn = (Instance) =>
                 {
                     Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("pillar-skin.png", 1f);

                     var behaviour = Instance.GetOrAddComponent<PhysicalBehaviour>();

                     behaviour.Properties = ModAPI.FindPhysicalProperties("Metal");
                     behaviour.TrueInitialMass = 50f;
                     behaviour.InitialMass = 50f;
                     behaviour.rigidbody.mass = 50f;
                     Instance.FixColliders();
                     AudioSource audioSource;
                     AudioClip sound;
                     sound = ModAPI.LoadSound("pillar.mp3");
                     audioSource = Instance.AddComponent<AudioSource>();
                     audioSource.minDistance = 20;
                     audioSource.maxDistance = 100;
                     audioSource.clip = sound;
                     audioSource.Play();

                     AudioSource twoja_stara = Instance.AddComponent<AudioSource>();
                     twoja_stara.minDistance = 1;
                     twoja_stara.maxDistance = 3;

                     int index = 0;
                     AudioClip[] AudioData = new AudioClip[]
                     {
                         ModAPI.LoadSound("pillar.mp3"),
                     };

                     Instance.AddComponent<UseEventTrigger>().Action = () =>
                     {
                         twoja_stara.clip = AudioData[index];
                         twoja_stara.Play();

                         index++;
                         if (index == AudioData.Length) index = 0;

         Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
         Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
         Instance.FixColliders();
       };
                 }
             }
         );
         ModAPI.Register(
             new Modification()
             {
                 OriginalItem = ModAPI.FindSpawnable("Metal Cube"),
                 NameOverride = "\n<color=red>Ball Of Flesh",
                 NameToOrderByOverride = "AAAABA0000000001 -TM",
                 DescriptionOverride = "",
                 CategoryOverride = ModAPI.FindCategory("SCP-610 Chronicles"),
                 ThumbnailOverride = ModAPI.LoadSprite("ball-thumb.jpg", 1f),
                 AfterSpawn = (Instance) =>
                 {
                     Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("ball-skin.png", 1f);

                     var behaviour = Instance.GetOrAddComponent<PhysicalBehaviour>();

                     behaviour.Properties = ModAPI.FindPhysicalProperties("Metal");
                     behaviour.TrueInitialMass = 50f;
                     behaviour.InitialMass = 50f;
                     behaviour.rigidbody.mass = 50f;
                     Instance.FixColliders();
                     AudioSource audioSource;
                     AudioClip sound;
                     sound = ModAPI.LoadSound("ball.mp3");
                     audioSource = Instance.AddComponent<AudioSource>();
                     audioSource.minDistance = 20;
                     audioSource.maxDistance = 100;
                     audioSource.clip = sound;
                     audioSource.Play();

                     AudioSource twoja_stara = Instance.AddComponent<AudioSource>();
                     twoja_stara.minDistance = 1;
                     twoja_stara.maxDistance = 3;

                     int index = 0;
                     AudioClip[] AudioData = new AudioClip[]
                     {
                         ModAPI.LoadSound("ball1.mp3"),
                         ModAPI.LoadSound("ball2.mp3"),
                         ModAPI.LoadSound("ball3.mp3"),
                     };

                     Instance.AddComponent<UseEventTrigger>().Action = () =>
                     {
                         twoja_stara.clip = AudioData[index];
                         twoja_stara.Play();

                         index++;
                         if (index == AudioData.Length) index = 0;

         Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
         Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
         Instance.FixColliders();
       };
                 }
             }
         );
         ModAPI.Register(
      new Modification()
      {
          OriginalItem = ModAPI.FindSpawnable("Human"),
          NameOverride = "\n<color=red>Infected MTF Personnel",
          DescriptionOverride = "",
          CategoryOverride = ModAPI.FindCategory("SCP-610 Chronicles"),
          ThumbnailOverride = ModAPI.LoadSprite("infected-mtf-thumb.jpg"),
          AfterSpawn = (Instance) =>
          {
            var childObjectF = new GameObject("tent");
                  childObjectF.transform.SetParent(Instance.transform.Find("Head"));
                  childObjectF.transform.position = Instance.transform.position;
                  childObjectF.transform.localPosition = new Vector3(0.085f, 0.04f);
                  childObjectF.transform.localScale = new Vector3(1f, 1f);

            var childSpriteF = childObjectF.AddComponent < SpriteRenderer > ();
                        childSpriteF.sprite = ModAPI.LoadSprite("gasmask-infected-skin.png");
                        childSpriteF.sortingLayerName = "Top";
              var skin = ModAPI.LoadTexture("mtf-infected-skin.png");




              var person = Instance.GetComponent<PersonBehaviour>();


              person.SetBodyTextures(skin, null, null, 1);


              person.SetBruiseColor(100, 100, 100);
              person.SetSecondBruiseColor(154, 0, 7);
              person.SetThirdBruiseColor(207, 206, 120);
              person.SetRottenColour(202, 199, 104);
              person.SetBloodColour(108, 0, 4);
          }
      }
    );
    ModAPI.Register(
      new Modification()
      {
          OriginalItem = ModAPI.FindSpawnable("Human"),
          NameOverride = "\n<color=red>Infected Class-D Personnel",
          DescriptionOverride = "",
          CategoryOverride = ModAPI.FindCategory("SCP-610 Chronicles"),
          ThumbnailOverride = ModAPI.LoadSprite("infected-classd-thumb.jpg"),
          AfterSpawn = (Instance) =>
          {

              var skin = ModAPI.LoadTexture("infected-classd-skin.png");




              var person = Instance.GetComponent<PersonBehaviour>();


              person.SetBodyTextures(skin, null, null, 1);


              person.SetBruiseColor(100, 100, 100);
              person.SetSecondBruiseColor(154, 0, 7);
              person.SetThirdBruiseColor(207, 206, 120);
              person.SetRottenColour(202, 199, 104);
              person.SetBloodColour(108, 0, 4);
                 }
             }
         );
         ModAPI.Register(
              new Modification()
              {
                  OriginalItem = ModAPI.FindSpawnable("Metal Cube"),
                  NameOverride = "\n<color=blue>Post",
                  NameToOrderByOverride = "AAAABA0000000001 -TM",
                  DescriptionOverride = "",
                  CategoryOverride = ModAPI.FindCategory("SCP-610 Chronicles"),
                  ThumbnailOverride = ModAPI.LoadSprite("base-thumb.jpg", 1f),
                  AfterSpawn = (Instance) =>
                  {
                      Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("base-skin.png", 1f);

          Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
          Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
          Instance.FixColliders();
                  }
              }
          );
          ModAPI.Register(
            new Modification()
            {
                OriginalItem = ModAPI.FindSpawnable("Pistol"),
                NameOverride = "9mm Pistol",
                DescriptionOverride = "",
                CategoryOverride = ModAPI.FindCategory("SCP-610 Chronicles"),
                ThumbnailOverride = ModAPI.LoadSprite("pistol-thumb.jpg", 4f),
                AfterSpawn = (Instance) =>
                {
                    Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("pistol-skin.png", 64f);
                    Instance.FixColliders();
                 var firearm = Instance.GetComponent<FirearmBehaviour>();
                    firearm.InitialInaccuracy = 0f;
                    firearm.BulletsPerShot = 1;
                    firearm.ShotSounds = new AudioClip[]
                    {
                        ModAPI.LoadSound("pistol.mp3")

                    };
                }
            }
        );
        ModAPI.Register(
      new Modification()
      {
          OriginalItem = ModAPI.FindSpawnable("Human"),
          NameOverride = "\n<color=red>SCP-610-5",
          DescriptionOverride = "",
          CategoryOverride = ModAPI.FindCategory("SCP-610 Chronicles"),
          ThumbnailOverride = ModAPI.LoadSprite("610-5-thumb.jpg"),
          AfterSpawn = (Instance) =>
          {

              var skin = ModAPI.LoadTexture("610-5-skin.png");
              var flesh = ModAPI.LoadTexture("flesh5.png");
              var bone = ModAPI.LoadTexture("bone.png");



              var person = Instance.GetComponent<PersonBehaviour>();


              person.SetBodyTextures(skin, flesh, bone, 1);

              var arm1 = Instance.transform.Find("Head");
              var phys1 = arm1.GetComponent<PhysicalBehaviour>();
              var prop1 = ModAPI.FindPhysicalProperties("Human");
              prop1.Sharp = true;
              prop1.SharpAxes = new[]
              {
                  new SharpAxis(Vector2.right, 0f, 0.29f, true, true),
              };
              phys1.Properties = prop1;

              AudioSource audioSource;
              AudioClip sound;
              sound = ModAPI.LoadSound("scp1.mp3");
              audioSource = Instance.AddComponent<AudioSource>();
              audioSource.minDistance = 20;
              audioSource.maxDistance = 100;
              audioSource.clip = sound;
              audioSource.Play();


              person.SetBruiseColor(100, 100, 100);
              person.SetSecondBruiseColor(154, 0, 7);
              person.SetThirdBruiseColor(207, 206, 120);
              person.SetRottenColour(202, 199, 104);
              person.SetBloodColour(108, 0, 4);
                    foreach (var body in person.Limbs)
                    {
                         body.BaseStrength *= 3f;
                         body.Health *= 6f;
                         body.BreakingThreshold *= 2f;
                    }
                 }
             }
         );
         ModAPI.Register(
      new Modification()
      {
          OriginalItem = ModAPI.FindSpawnable("Human"),
          NameOverride = "\n<color=red>SCP-610-4",
          DescriptionOverride = "",
          CategoryOverride = ModAPI.FindCategory("SCP-610 Chronicles"),
          ThumbnailOverride = ModAPI.LoadSprite("610-4-thumb.jpg"),
          AfterSpawn = (Instance) =>
          {

              var skin = ModAPI.LoadTexture("610-4-skin.png");
              var flesh = ModAPI.LoadTexture("flesh4.png");
              var bone = ModAPI.LoadTexture("bone.png");



              var person = Instance.GetComponent<PersonBehaviour>();


              person.SetBodyTextures(skin, flesh, bone, 1);

              var arm1 = Instance.transform.Find("Head");
              var phys1 = arm1.GetComponent<PhysicalBehaviour>();
              var prop1 = ModAPI.FindPhysicalProperties("Human");
              prop1.Sharp = true;
              prop1.SharpAxes = new[]
              {
                  new SharpAxis(Vector2.right, 0f, 0.29f, true, true),
              };
              phys1.Properties = prop1;

              AudioSource audioSource;
              AudioClip sound;
              sound = ModAPI.LoadSound("scp5.mp3");
              audioSource = Instance.AddComponent<AudioSource>();
              audioSource.minDistance = 20;
              audioSource.maxDistance = 100;
              audioSource.clip = sound;
              audioSource.Play();



              person.SetBruiseColor(100, 100, 100);
              person.SetSecondBruiseColor(154, 0, 7);
              person.SetThirdBruiseColor(207, 206, 120);
              person.SetRottenColour(202, 199, 104);
              person.SetBloodColour(108, 0, 4);
                    foreach (var body in person.Limbs)
                    {
                         body.BaseStrength *= 3f;
                         body.Health *= 6f;
                         body.BreakingThreshold *= 2f;
                    }
                 }
             }
         );
         ModAPI.Register(
      new Modification()
      {
          OriginalItem = ModAPI.FindSpawnable("Human"),
          NameOverride = "\n<color=red>SCP-610-3",
          DescriptionOverride = "",
          CategoryOverride = ModAPI.FindCategory("SCP-610 Chronicles"),
          ThumbnailOverride = ModAPI.LoadSprite("610-3-thumb.jpg"),
          AfterSpawn = (Instance) =>
          {

              var skin = ModAPI.LoadTexture("610-3-skin.png");
              var flesh = ModAPI.LoadTexture("flesh3.png");
              var bone = ModAPI.LoadTexture("bone.png");



              var person = Instance.GetComponent<PersonBehaviour>();


              person.SetBodyTextures(skin, flesh, bone, 1);

              var arm1 = Instance.transform.Find("Head");
              var phys1 = arm1.GetComponent<PhysicalBehaviour>();
              var prop1 = ModAPI.FindPhysicalProperties("Human");
              prop1.Sharp = true;
              prop1.SharpAxes = new[]
              {
                  new SharpAxis(Vector2.right, 0f, 0.29f, true, true),
              };
              phys1.Properties = prop1;

              AudioSource audioSource;
              AudioClip sound;
              sound = ModAPI.LoadSound("scp3.mp3");
              audioSource = Instance.AddComponent<AudioSource>();
              audioSource.minDistance = 20;
              audioSource.maxDistance = 100;
              audioSource.clip = sound;
              audioSource.Play();

              person.SetBruiseColor(100, 100, 100);
              person.SetSecondBruiseColor(154, 0, 7);
              person.SetThirdBruiseColor(207, 206, 120);
              person.SetRottenColour(202, 199, 104);
              person.SetBloodColour(108, 0, 4);
                    foreach (var body in person.Limbs)
                    {
                         body.BaseStrength *= 3f;
                         body.Health *= 6f;
                         body.BreakingThreshold *= 2f;
                    }
                 }
             }
         );
         ModAPI.Register(
      new Modification()
      {
          OriginalItem = ModAPI.FindSpawnable("Human"),
          NameOverride = "\n<color=red>SCP-610-2",
          DescriptionOverride = "",
          CategoryOverride = ModAPI.FindCategory("SCP-610 Chronicles"),
          ThumbnailOverride = ModAPI.LoadSprite("610-2-thumb.jpg"),
          AfterSpawn = (Instance) =>
          {

              var skin = ModAPI.LoadTexture("610-2-skin.png");
              var flesh = ModAPI.LoadTexture("flesh2.png");
              var bone = ModAPI.LoadTexture("bone.png");



              var person = Instance.GetComponent<PersonBehaviour>();


              person.SetBodyTextures(skin, flesh, bone, 1);

              var arm1 = Instance.transform.Find("Head");
              var phys1 = arm1.GetComponent<PhysicalBehaviour>();
              var prop1 = ModAPI.FindPhysicalProperties("Human");
              prop1.Sharp = true;
              prop1.SharpAxes = new[]
              {
                  new SharpAxis(Vector2.right, 0f, 0.29f, true, true),
              };
              phys1.Properties = prop1;

              AudioSource audioSource;
              AudioClip sound;
              sound = ModAPI.LoadSound("scp2.mp3");
              audioSource = Instance.AddComponent<AudioSource>();
              audioSource.minDistance = 20;
              audioSource.maxDistance = 100;
              audioSource.clip = sound;
              audioSource.Play();

              person.SetBruiseColor(100, 100, 100);
              person.SetSecondBruiseColor(154, 0, 7);
              person.SetThirdBruiseColor(207, 206, 120);
              person.SetRottenColour(202, 199, 104);
              person.SetBloodColour(108, 0, 4);
                    foreach (var body in person.Limbs)
                    {
                         body.BaseStrength *= 3f;
                         body.Health *= 6f;
                         body.BreakingThreshold *= 2f;
                    }
                 }
             }
         );
         ModAPI.Register(
      new Modification()
      {
          OriginalItem = ModAPI.FindSpawnable("Human"),
          NameOverride = "\n<color=red>SCP-610-1",
          DescriptionOverride = "",
          CategoryOverride = ModAPI.FindCategory("SCP-610 Chronicles"),
          ThumbnailOverride = ModAPI.LoadSprite("610-1-thumb.jpg"),
          AfterSpawn = (Instance) =>
          {

              var skin = ModAPI.LoadTexture("610-1-skin.png");
              var flesh = ModAPI.LoadTexture("flesh.png");
              var bone = ModAPI.LoadTexture("bone.png");



              var person = Instance.GetComponent<PersonBehaviour>();


              person.SetBodyTextures(skin, flesh, bone, 1);

              var arm1 = Instance.transform.Find("Head");
              var phys1 = arm1.GetComponent<PhysicalBehaviour>();
              var prop1 = ModAPI.FindPhysicalProperties("Human");
              prop1.Sharp = true;
              prop1.SharpAxes = new[]
              {
                  new SharpAxis(Vector2.right, 0f, 0.29f, true, true),
              };
              phys1.Properties = prop1;

              AudioSource audioSource;
              AudioClip sound;
              sound = ModAPI.LoadSound("scp4.mp3");
              audioSource = Instance.AddComponent<AudioSource>();
              audioSource.minDistance = 20;
              audioSource.maxDistance = 100;
              audioSource.clip = sound;
              audioSource.Play();

              person.SetBruiseColor(100, 100, 100);
              person.SetSecondBruiseColor(154, 0, 7);
              person.SetThirdBruiseColor(207, 206, 120);
              person.SetRottenColour(202, 199, 104);
              person.SetBloodColour(108, 0, 4);
                    foreach (var body in person.Limbs)
                    {
                         body.BaseStrength *= 3f;
                         body.Health *= 6f;
                         body.BreakingThreshold *= 2f;
                    }
                 }
             }
         );
         ModAPI.Register(
                  new Modification()
                  {
                      OriginalItem = ModAPI.FindSpawnable("Dampening Box"),
                      NameOverride = "\n<color=blue>RSCP610",
                      NameToOrderByOverride = "AAAABA0000000001 -TM",
                      DescriptionOverride = "",
                      CategoryOverride = ModAPI.FindCategory("SCP-610 Chronicles"),
                      ThumbnailOverride = ModAPI.LoadSprite("rscp610-thumb.jpg", 1f),
                      AfterSpawn = (Instance) =>
                      {
                          Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("rscp610-skin.png", 1f);

                          UnityEngine.Object.Destroy(Instance.transform.GetChild(0).gameObject);
                          UnityEngine.Object.Destroy(Instance.transform.GetChild(1).gameObject);
                          UnityEngine.Object.Destroy(Instance.transform.GetChild(2).gameObject);
                          UnityEngine.Object.Destroy(Instance.transform.GetChild(3).gameObject);
                          UnityEngine.Object.Destroy(Instance.transform.GetChild(4).gameObject);
                          UnityEngine.Object.Destroy(Instance.transform.GetChild(5).gameObject);
                          UnityEngine.Object.Destroy(Instance.transform.GetChild(6).gameObject);

              Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
              Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
              Instance.FixColliders();
                      }
                  }
              );
              ModAPI.Register(
                    new Modification()
                    {
                        OriginalItem = ModAPI.FindSpawnable("Metal Cube"),
                        NameOverride = "\n<color=blue>Herbie",
                        NameToOrderByOverride = "AAAABA0000000001 -TM",
                        DescriptionOverride = "",
                        CategoryOverride = ModAPI.FindCategory("SCP-610 Chronicles"),
                        ThumbnailOverride = ModAPI.LoadSprite("herbie-thumb.jpg", 1f),
                        AfterSpawn = (Instance) =>
                        {
                            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("herbie-skin.png", 1f);

    						Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
    						Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
    						Instance.FixColliders();
                        }
                    }
                );
                //mtf
      ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Human"),
        NameOverride = "\n<color=blue>MTF Personnel",
        DescriptionOverride = "",
        CategoryOverride = ModAPI.FindCategory("SCP-610 Chronicles"),
        ThumbnailOverride = ModAPI.LoadSprite("mtf-thumb.jpg"),
        AfterSpawn = (Instance) =>
        {
          var childObjectF = new GameObject("tent");
                childObjectF.transform.SetParent(Instance.transform.Find("Head"));
                childObjectF.transform.position = Instance.transform.position;
                childObjectF.transform.localPosition = new Vector3(0.085f, 0.04f);
                childObjectF.transform.localScale = new Vector3(1f, 1f);

          var childSpriteF = childObjectF.AddComponent < SpriteRenderer > ();
                      childSpriteF.sprite = ModAPI.LoadSprite("gasmask-skin.png");
                      childSpriteF.sortingLayerName = "Top";
            var skin = ModAPI.LoadTexture("mtf-skin.png");




            var person = Instance.GetComponent<PersonBehaviour>();


            person.SetBodyTextures(skin, null, null, 1);


            person.SetBruiseColor(100, 100, 100);
            person.SetSecondBruiseColor(154, 0, 7);
            person.SetThirdBruiseColor(207, 206, 120);
            person.SetRottenColour(202, 199, 104);
            person.SetBloodColour(108, 0, 4);
        }
    }
  );
  //control
  ModAPI.Register(
new Modification()
{
    OriginalItem = ModAPI.FindSpawnable("Human"),
    NameOverride = "\n<color=blue>Science Personnel",
    DescriptionOverride = "",
    CategoryOverride = ModAPI.FindCategory("SCP-610 Chronicles"),
    ThumbnailOverride = ModAPI.LoadSprite("scientist-thumb.jpg"),
    AfterSpawn = (Instance) =>
    {

        var skin = ModAPI.LoadTexture("scientist-skin.png");




        var person = Instance.GetComponent<PersonBehaviour>();


        person.SetBodyTextures(skin, null, null, 1);


        person.SetBruiseColor(100, 100, 100);
        person.SetSecondBruiseColor(154, 0, 7);
        person.SetThirdBruiseColor(207, 206, 120);
        person.SetRottenColour(202, 199, 104);
        person.SetBloodColour(108, 0, 4);
           }
       }
   );
                //mil beret
          			ModAPI.Register(
                          new Modification()
                          {
                              OriginalItem = ModAPI.FindSpawnable("Stick"),
                              NameOverride = "\n<color=red>Scion SCP-610 [1]",
                              NameToOrderByOverride = "AAAABA0000000001 -TM",
                              DescriptionOverride = "",
                              CategoryOverride = ModAPI.FindCategory("SCP-610 Chronicles"),
                              ThumbnailOverride = ModAPI.LoadSprite("scion1-thumb.jpg", 1f),
                              AfterSpawn = (Instance) =>
                              {
                                  Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("scion1-skin.png");
                                  ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                                  armor.stabResistance = 5f;
                                  armor.armorPiece = "Head";
                                  armor.armorTier = 0;

          						Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
          						Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
          						Instance.FixColliders();
                              }
                          }
                      );
                      //mil helm
                			ModAPI.Register(
                                new Modification()
                                {
                                    OriginalItem = ModAPI.FindSpawnable("Stick"),
                                    NameOverride = "\n<color=red>Scion SCP-610 [2]",
                                    NameToOrderByOverride = "AAAABA0000000001 -TM",
                                    DescriptionOverride = "",
                                    CategoryOverride = ModAPI.FindCategory("SCP-610 Chronicles"),
                                    ThumbnailOverride = ModAPI.LoadSprite("scion2-thumb.jpg", 1f),
                                    AfterSpawn = (Instance) =>
                                    {
                                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("scion2-skin.png", 1f);
                                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                                        armor.stabResistance = 5f;
                                        armor.armorPiece = "Head";
                                        armor.armorTier = 0;

                						Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                						Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                						Instance.FixColliders();
                                    }
                                }
                            );
                            //goggles
                      			ModAPI.Register(
                                      new Modification()
                                      {
                                          OriginalItem = ModAPI.FindSpawnable("Stick"),
                                          NameOverride = "\n<color=red>Scion SCP-610 [3]",
                                          NameToOrderByOverride = "AAAABA0000000001 -TM",
                                          DescriptionOverride = "",
                                          CategoryOverride = ModAPI.FindCategory("SCP-610 Chronicles"),
                                          ThumbnailOverride = ModAPI.LoadSprite("scion3-thumb.jpg", 1f),
                                          AfterSpawn = (Instance) =>
                                          {
                                              Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("scion3-skin.png", 1f);
                                              ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                                              armor.stabResistance = 5f;
                                              armor.armorPiece = "Head";
                                              armor.armorTier = 0;

                      						Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                      						Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                      						Instance.FixColliders();
                                          }
                                      }
                                  );
                                  //mil gas
                            			ModAPI.Register(
                                            new Modification()
                                            {
                                                OriginalItem = ModAPI.FindSpawnable("Stick"),
                                                NameOverride = "\n<color=red>Scion SCP-610 [4]",
                                                NameToOrderByOverride = "AAAABA0000000001 -TM",
                                                DescriptionOverride = "",
                                                CategoryOverride = ModAPI.FindCategory("SCP-610 Chronicles"),
                                                ThumbnailOverride = ModAPI.LoadSprite("scion4-thumb.jpg", 1f),
                                                AfterSpawn = (Instance) =>
                                                {
                                                    Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("scion4-skin.png", 1f);
                                                    ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                                                    armor.stabResistance = 5f;
                                                    armor.armorPiece = "UpperBody";
                                                    armor.armorTier = 0;

                            						Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                            						Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                            						Instance.FixColliders();
                                                }
                                            }
                                        );
                //exo Greaves
                      ModAPI.Register(
                          new Modification()
                          {
                              OriginalItem = ModAPI.FindSpawnable("Stick"),
                              NameOverride = "\n<color=red>Scion SCP-610 [5]",
                              NameToOrderByOverride = "AAAABA00001 -TM",
                              DescriptionOverride = "",
                              CategoryOverride = ModAPI.FindCategory("SCP-610 Chronicles"),
                              ThumbnailOverride = ModAPI.LoadSprite("scion6-thumb.jpg"),
                              AfterSpawn = (Instance) =>
                              {
                                  Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("scion5-skin.png");
                                  ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();
                                  armor.stabResistance = 15f;
                                  armor.armorPiece = "UpperBody";
                                  armor.armorTier = 0;
                                  Instance.FixColliders();
                              }
                          }
                      );
                      //exo Cuisses
                			ModAPI.Register(
                                new Modification()
                                {
                                    OriginalItem = ModAPI.FindSpawnable("Stick"),
                                    NameOverride = "\n<color=red>Scion SCP-610 [6]",
                                    NameToOrderByOverride = "AAAABA000001 -TM",
                                    DescriptionOverride = "",
                                    CategoryOverride = ModAPI.FindCategory("SCP-610 Chronicles"),
                                    ThumbnailOverride = ModAPI.LoadSprite("scion5-thumb.jpg", 1f),
                                    AfterSpawn = (Instance) =>
                                    {
                                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("scion6-skin.png", 1f);
                                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();
                                        armor.stabResistance = 15f;
                                        armor.armorPiece = "MiddleBody";
                                        armor.armorTier = 0;

                						Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                						Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                						Instance.FixColliders();
                                    }
                                }
                            );
        //ssp
        ModAPI.Register(
      new Modification()
      {
          OriginalItem = ModAPI.FindSpawnable("Human"),
          NameOverride = "\n<color=blue>Science Personnel (Hazmat Suit)",
          DescriptionOverride = "",
          CategoryOverride = ModAPI.FindCategory("SCP-610 Chronicles"),
          ThumbnailOverride = ModAPI.LoadSprite("hazmat-thumb.jpg"),
          AfterSpawn = (Instance) =>
          {
            var backpack = new GameObject("Backpack");
            backpack.transform.SetParent(Instance.transform.Find("Body").Find("UpperBody"));
            backpack.transform.localPosition = new Vector3(0.01f, 0f);
            backpack.transform.localScale = new Vector3(1f, 1f);
            var backpackSprite = backpack.AddComponent<SpriteRenderer>();
            backpackSprite.sprite = ModAPI.LoadSprite("tank-skin.png");
            backpack.GetComponent<SpriteRenderer>().sortingLayerName = "Mid";
              var skin = ModAPI.LoadTexture("hazmat-skin.png");




              var person = Instance.GetComponent<PersonBehaviour>();


              person.SetBodyTextures(skin, null, null, 1);


              person.SetBruiseColor(100, 100, 100);
              person.SetSecondBruiseColor(154, 0, 7);
              person.SetThirdBruiseColor(207, 206, 120);
              person.SetRottenColour(202, 199, 104);
              person.SetBloodColour(108, 0, 4);
               }
          }
     );
  //sun
  ModAPI.Register(
new Modification()
{
    OriginalItem = ModAPI.FindSpawnable("Human"),
    NameOverride = "\n<color=blue>Class-D Personnel",
    DescriptionOverride = "",
    CategoryOverride = ModAPI.FindCategory("SCP-610 Chronicles"),
    ThumbnailOverride = ModAPI.LoadSprite("classd-thumb.jpg"),
    AfterSpawn = (Instance) =>
    {

        var skin = ModAPI.LoadTexture("classd-skin.png");




        var person = Instance.GetComponent<PersonBehaviour>();


        person.SetBodyTextures(skin, null, null, 1);


        person.SetBruiseColor(100, 100, 100);
        person.SetSecondBruiseColor(154, 0, 7);
        person.SetThirdBruiseColor(207, 206, 120);
        person.SetRottenColour(202, 199, 104);
        person.SetBloodColour(108, 0, 4);
           }
       }
   );
         //clear
         ModAPI.Register(
       new Modification()
       {
           OriginalItem = ModAPI.FindSpawnable("Human"),
           NameOverride = "\n<color=red>Man With Scythe",
           DescriptionOverride = "",
           CategoryOverride = ModAPI.FindCategory("SCP-610 Chronicles"),
           ThumbnailOverride = ModAPI.LoadSprite("man-thumb.jpg"),
           AfterSpawn = (Instance) =>
           {

               var skin = ModAPI.LoadTexture("man-skin.png");




               var person = Instance.GetComponent<PersonBehaviour>();


               person.SetBodyTextures(skin, null, null, 1);


               person.SetBruiseColor(100, 100, 100);
               person.SetSecondBruiseColor(154, 0, 7);
               person.SetThirdBruiseColor(207, 206, 120);
               person.SetRottenColour(202, 199, 104);
               person.SetBloodColour(108, 0, 4);
                     foreach (var body in person.Limbs)
                     {
                          body.BaseStrength *= 1f;
                          body.Health *= 1f;
                          body.BreakingThreshold *= 2f;
                     }
                  }
              }
          );
      //ssp mask
            ModAPI.Register(
            new Modification()
            {
                OriginalItem = ModAPI.FindSpawnable("Rod"),
                NameOverride = "\n<color=blue>Gas Mask",
                DescriptionOverride = "",
                CategoryOverride = ModAPI.FindCategory("SCP-610 Chronicles"),
                ThumbnailOverride = ModAPI.LoadSprite("gasmask-n-thumb.jpg", 1f),
                AfterSpawn = (Instance) =>
                {
                    Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("gasmask-n-skin.png", 1f);
                    ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                    armor.stabResistance = 10f;
                    armor.armorPiece = "Head";
                    armor.armorTier = 1;

                    Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.03f;
                    Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.03f;
                    Instance.FixColliders();
                    }
               }
          );
        //tunder
        ModAPI.Register(
            new Modification()
            {
                OriginalItem = ModAPI.FindSpawnable("AK-47"),
                NameOverride = "\n<color=blue>M4A1",
                DescriptionOverride = "",
                CategoryOverride = ModAPI.FindCategory("SCP-610 Chronicles"),
                ThumbnailOverride = ModAPI.LoadSprite("m4a1-thumb.jpg", 4f),
                AfterSpawn = (Instance) =>
                {
                    Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("m4a1-skin.png");
                    Instance.FixColliders();
                 var firearm = Instance.GetComponent<FirearmBehaviour>();
                    firearm.InitialInaccuracy = 0f;
                    firearm.BulletsPerShot = 1;
                    firearm.ShotSounds = new AudioClip[]
                    {
                        ModAPI.LoadSound("m4a1.mp3")

                    };
                }
            }
        );
        ModAPI.Register(
            new Modification()
            {
                OriginalItem = ModAPI.FindSpawnable("Pistol"),
                NameOverride = "\n<color=blue>USP Tactical",
                DescriptionOverride = "",
                CategoryOverride = ModAPI.FindCategory("SCP-610 Chronicles"),
                ThumbnailOverride = ModAPI.LoadSprite("usp-thumb.jpg"),
                AfterSpawn = (Instance) =>
                {
                    Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("usp-skin.png");
                    Instance.FixColliders();
                 var firearm = Instance.GetComponent<FirearmBehaviour>();
                    firearm.InitialInaccuracy = 0f;
                    firearm.BulletsPerShot = 1;
                    firearm.ShotSounds = new AudioClip[]
                    {
                        ModAPI.LoadSound("usp.mp3")

                    };
                }
            }
        );
        //p9m
        ModAPI.Register(
            new Modification()
            {
                OriginalItem = ModAPI.FindSpawnable("Pistol"),
                NameOverride = "\n<color=blue>9mm Pistol",
                DescriptionOverride = "",
                CategoryOverride = ModAPI.FindCategory("SCP-610 Chronicles"),
                ThumbnailOverride = ModAPI.LoadSprite("pistol-thumb.jpg", 4f),
                AfterSpawn = (Instance) =>
                {
                    Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("pistol-skin.png");
                    Instance.FixColliders();
                 var firearm = Instance.GetComponent<FirearmBehaviour>();
                    firearm.InitialInaccuracy = 0f;
                    firearm.BulletsPerShot = 1;
                    firearm.ShotSounds = new AudioClip[]
                    {
                        ModAPI.LoadSound("pistol.mp3")

                    };
                }
            }
        );
        ModAPI.Register(
            new Modification()
            {
                OriginalItem = ModAPI.FindSpawnable("Knife"),
                NameOverride = "\n<color=blue>M9 Bayonet",
                DescriptionOverride = "",
                CategoryOverride = ModAPI.FindCategory("SCP-610 Chronicles"),
                ThumbnailOverride = ModAPI.LoadSprite("knife-thumb.jpg", 4f),
                AfterSpawn = (Instance) =>
                {
                    Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("knife-skin.png");
                    Instance.FixColliders();
                }
            }
        );



        }
    }
}
